Subject: [bug#54729] [PATCH] build: haskell-build-system: Support packages w. multiple libraries

From: itd <[email-masked]>
Date: Thu, 12 Jan 2023 18:30:48 +0100

Hi,

Lars-Dominik Braun <[email-masked]> writes:

> I can reproduce the problem on wip-haskell, which also uses
> attoparsec-0.14.4 and GHC 9.2.5.

thanks for checking!

> Further analysis suggests that this is a different issue, which is simply
> exposed by attoparsec’s multiple libraries. I applied the attached
> patch to wip-haskell, which fixes the issue for me.

Thanks for looking into it.  I can confirm that the wip-haskell changes
combined with this patch fix the issue for me as well.

Best regards
itd